For the complete documentation index, see llms.txt. This page is also available as Markdown.

Memory Stores

Endpoints for managing memory stores (vector stores) and document search.

get

Perform a search on a memory store.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
memory_store_idstringRequired

The Memory Store id

Query parameters
querystringRequired

The query to search for

topkinteger · min: 1 · max: 1000Optional

The number of results to return

Example: 10
Responses
200

Results found

application/json
get/public_api/vector_stores/{memory_store_id}/search
GET /public_api/vector_stores/{memory_store_id}/search?query=text HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "matches": [
    {
      "id": "text",
      "score": 1,
      "content": "text",
      "document_name": "text",
      "metadata": {}
    }
  ]
}

Add Document

post

Add a document to a memory store.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
memory_store_idstringRequired

The Memory Store id

Body
textstringRequired

The content of the document

namestringRequired

The name of the document

metadataobjectOptional

The metadata of the document

Responses
200

Document added

application/json
idnumberOptional
document_typestringOptional
namestringOptional
sourcestringOptional
statusstringOptional
sync_progress_percentagenumberOptional
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
vector_store_idnumberOptional
post/public_api/vector_stores/{memory_store_id}/vector_store_documents
POST /public_api/vector_stores/{memory_store_id}/vector_store_documents HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "text": "text",
  "name": "text",
  "metadata": {}
}
{
  "id": 1,
  "document_type": "text",
  "name": "text",
  "source": "text",
  "status": "text",
  "sync_progress_percentage": 1,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "vector_store_id": 1
}

Update Document

put

Update a document in a memory store.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
memory_store_idstringRequired

The Memory Store id

memory_store_document_idstringRequired

The id of the document to update

Body
textstringRequired

The content of the document

namestringRequired

The name of the document

metadataobjectOptional

The metadata of the document

Responses
200

Document updated

application/json
idnumberOptional
document_typestringOptional
namestringOptional
sourcestringOptional
statusstringOptional
sync_progress_percentagenumberOptional
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
vector_store_idnumberOptional
put/public_api/vector_stores/{memory_store_id}/vector_store_documents/{memory_store_document_id}
PUT /public_api/vector_stores/{memory_store_id}/vector_store_documents/{memory_store_document_id} HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "text": "text",
  "name": "text",
  "metadata": {}
}
{
  "id": 1,
  "document_type": "text",
  "name": "text",
  "source": "text",
  "status": "text",
  "sync_progress_percentage": 1,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "vector_store_id": 1
}

Delete Document

delete

Delete a document from a memory store.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
memory_store_idstringRequired

The Memory Store id

memory_store_document_idstringRequired

The id of the document to delete

Responses
200

Document deleted

No content

delete/public_api/vector_stores/{memory_store_id}/vector_store_documents/{memory_store_document_id}
DELETE /public_api/vector_stores/{memory_store_id}/vector_store_documents/{memory_store_document_id} HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?